export default {
    /**
     * @description 配置显示在浏览器标签的title
     */
    title: '电子科大虚拟仿真系统',
    /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
    locale: 'zh',
    /**
     * @description 跳转子系统链接
     */
    subSystem: 'https://org.modao.cc/app/dfa8ba16a4a8f2b6dc1af8d31ff36ec62a184ace?simulator_type=device&sticky#screen=skdikymc2cmsgkk',
    /**
     * @description 新增项目跳转判分点数据存储cookie的key
     */
    projectData: 'kd_data',
    /**
     * @description 默认密码
     */
    initialPassword: '111aaa',
    /**
     * @description 系统id
     */
    systemId: 3,
    /**
     * @description 长时间未操作，自动退出登录时间
     */
    autoLogoutTime: 3600000,
    /**
     * @description 是否使用动态路由
     */
    dynamicRoute: true
}