import store from '@/store';
import router from '@/router';

export default function(){
    setTimeout(() => {
        let routes = store.state.routes
        routes.forEach(e => {
            if(e.path == '/'){
                e.component = () => import('@/components/common/Home.vue')
            }else{
                e.component = () => import(`@/components/page/${e.path}.vue`)
            }
            
            e.children && e.children.forEach(n => {
                n.path && (n.component = () => import(`@/components/page/${n.path}.vue`))
            })
        })
        
        routes.push({
            path: '*',
            redirect: '404'
        })
        router.addRoutes(routes)
    },500)
}