import router from './index';
import generateRoutes from '@/libs/route/generateRoutes';
import config from '@/config';

router.beforeEach((to, from, next) => {
    document.title = `${to.meta.title} | ${config.title}`;
    const role = sessionStorage.getItem('kd_server_username');
    if (!role && to.path !== '/login') {
        next('/login')
    } else if(role && to.path == '/login') {
        next('/dashboard')
    } else {
        next();
    }
});

router.afterEach(to => {
    window.scrollTo(0, 0)
})

// config.dynamicRoute && generateRoutes()